scoreboard players remove time agentanim 1
execute if score time agentanim matches ..0 run function dex:agent
#execute as @a if score time agentanim matches ..0 run function dex:give_blocks

scoreboard players set @a[tag=!gamemode] clear_inventory 0
effect give @a minecraft:night_vision infinite 1 true
execute as @a[tag=!clear_inv] unless score @s clear_inventory matches 0 run tag @s add add_clear_inv
execute as @a[tag=clear_inv] unless score @s clear_inventory matches 0 run tag @s add remove_clear_inv
tag @a[tag=add_clear_inv] add clear_inv
tag @a[tag=remove_clear_inv] remove clear_inv
execute as @a[tag=add_clear_inv] run function dex:clear_blocks
tag @a remove add_clear_inv
tag @a remove remove_clear_inv
scoreboard players set @a clear_inventory 0
scoreboard players enable * clear_inventory
execute as @a[tag=!clear_inv] run function dex:give_blocks

execute if score time agentanim matches ..0 run scoreboard players operation time agentanim = agent_step agentanim
execute store result score agents: agentamount if entity @e[tag=agent]
tag @e remove agentamount
execute if score agents: agentamount matches 300.. run kill @e[tag=agent,tag=!prior]
gamemode creative @a[distance=..200,tag=!gamemode]
tag @a add gamemode
kill @e[type=tnt]
kill @e[type=tnt_minecart]
kill @e[type=end_crystal]
kill @e[type=potion]
kill @e[type=creeper]
kill @e[type=item]
kill @e[type=minecraft:ender_dragon]
kill @e[type=minecraft:wither]
kill @e[type=command_block_minecart]
tag @a remove agent
execute as @a[scores={join=1},tag=!joined] run tellraw @a [{"text":"Welcome back, ","color":"green","italic":true},{"selector":"@s"},{"text":"!"}]
execute as @a[tag=!joined] if score @s join matches 1.. run tellraw @a [{"text":"Say hello to ","color":"green","italic":true},{"selector":"@s"},{"text":"!"}]
tellraw @a[tag=!joined] [{"text":"Welcome to ","color":"gray","italic":true},{"text":"Dex's agents!","color":"dark_blue","bold":true,"italic":false},{"text":"\ncheck your inventory for more info!"}]
tag @a add joined
scoreboard players set @a join 0


execute as @e[tag=agent,tag=untp] at @s if block ~ ~-1 ~ amethyst_block run function dex:amythyst_off
execute as @e[tag=agent,tag=tp,tag=!untp] at @s if block ~ ~-1 ~ amethyst_block run tag @s add untp
execute as @e[tag=agent,tag=tp,tag=!untp] at @s run tp @s ^ ^ ^1
execute as @e[tag=agent,tag=tp,tag=!untp] at @s if score @s flytime matches 64 run kill @s
execute as @e[tag=agent,tag=tp,tag=!untp] at @s run scoreboard players add @s flytime 1

#notifications
scoreboard players remove time notif 1
execute if score time notif matches ..0 run tellraw @a ["",{"text":"If you have any sugestions for ","color":"#FF0077"},{"text":"Agents","color":"#00AAFF"},{"text":" post them in the ","color":"#FF0077"},{"text":"discord","color":"#7180FF"},{"text":"! ","color":"#FF0077"},{"text":"[link]","color":"#0061FF","clickEvent":{"action":"open_url","value":"https://discord.gg/VFp8b8SvdR"},"hoverEvent":{"action":"show_text","contents":"click meh"}}]
execute if score time notif matches 3000 run title @a actionbar ["",{"text":"if you are enjoying the "},{"text":"agents ","color":"#00AAFF"},{"text":"please"},{"text":" /vote","color":"green"},{"text":" \u2764","color":"red"}]
execute if score time notif matches 6000 run tellraw @a ["",{"text":"Download DexFlex_YT's pack! ","color":"#FF0079"},{"text":"[link]","color":"#003BFF","clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/texture-pack/folly-red-gui/"},"hoverEvent":{"action":"show_text","contents":"click meh"}}]
execute if score time notif matches 9000 run tellraw @a ["",{"text":"[\u24be]","color":"#FF0066"},{"text":" also play "},{"text":"Splatoon Gen Y\n","underlined":true,"color":"#006DFF","clickEvent":{"action":"suggest_command","value":"/visit DexFlex_YT"},"hoverEvent":{"action":"show_text","contents":"click me"}},{"text":"!\n"}]
execute if score time notif matches ..0 run scoreboard players set time notif 12000
execute if score time notif matches ..0 run title @a actionbar ["",{"text":"thanks a lot to "},{"text":"TushkaTheOG","color":"gold"},{"text":" for recreating "},{"text":"the agents","color":"#00AAFF"},{"text":" \u2764 (From DexFlex_YT)\n","color":"#FF0077"}]

#function dex:ban

#fireworks
#scoreboard players remove firework notif 1
#execute if score firework notif matches -2147483648..0 run summon firework_rocket 39 66 66 {Silent:1,LifeTime:12,FireworksItem:{id:"firework_rocket",Count:1,tag:{Fireworks:{Explosions:[{Type:1,Flicker:1b,Trail:1b,Colors:[I;16774912,16717832,1216767],FadeColors:[I;65331]}]}}}}
#execute if score firework notif matches -2147483648..0 run scoreboard players set firework notif 100

#dance break
#scoreboard players remove dance notif 1
#execute if score dance notif matches -2147483648..0 run title @a title ["",{"text":"D","color":"#FF0003"},{"text":"a","color":"#FF7A00"},{"text":"n","color":"#FFE200"},{"text":"c","color":"#7EFF00"},{"text":"e ","color":"#00D8FF"},{"text":"B","color":"#0014FF"},{"text":"r","color":"#7E00FF"},{"text":"e","color":"#FF0300"},{"text":"a","color":"#FF7900"},{"text":"k","color":"#FFE900"},{"text":"!","color":"#3FFF00"}]
#execute if score dance notif matches -2147483648..0 run time set midnight
#execute if score dance notif matches 23800 run title @a title {"text":"Dance Break Over","color":"gray"}
#execute if score dance notif matches 23800 run time set noon
#execute if score dance notif matches -2147483648..0 run tp @a 39 66 66
#execute if score dance notif matches -2147483648..0 run scoreboard players set dance notif 24000

#triggers
scoreboard players enable @a spectator
scoreboard players enable @a creative
gamemode spectator @a[scores={spectator=1..}]
gamemode creative @a[scores={creative=1..}]
scoreboard players reset @a[scores={spectator=1..}] spectator
scoreboard players reset @a[scores={creative=1..}] creative
scoreboard players enable @a hub
execute as @a if score @s hub matches 1.. run tp @s 83 60.7 -441 180 0
scoreboard players set @a hub 0




execute as @e[tag=pogapproved] at @s run function dex:programmer
execute as @e run data merge entity @s {NoGravity:1}

execute as @e[tag=tushkaapp] at @s run function dex:programmer2
execute as @e run data merge entity @s {NoGravity:1}
#platform
fill 186 62 24 54 62 355 minecraft:oxidized_cut_copper replace air
fill 63 62 145 -89 62 -41 quartz_bricks replace air
fill 64 62 22 133 62 -25 minecraft:quartz_bricks replace air
 fill 64 62 23 94 62 65 minecraft:quartz_bricks replace air
setblock 0 62 0 quartz_pillar




execute as @e[tag=agent,tag=!tp,tag=!advanced] at @s unless block ~ ~-0.1 ~ #dex:agents_blocks run kill @s
execute as @e[tag=agent,tag=!tp,tag=advanced] at @s unless block ~ ~-0.1 ~ #dex:advanced/agents_blocks run kill @s
execute store result storage minecraft:macro input.x int 1 if entity @e[tag=agent]
bossbar set max players @a
function dex:bossbar with storage minecraft:macro input
execute if score agents: agentamount matches 0..49 run bossbar set minecraft:max color green
execute if score agents: agentamount matches 50..99 run bossbar set minecraft:max color yellow
execute if score agents: agentamount matches 100..149 run bossbar set minecraft:max color blue
execute if score agents: agentamount matches 150..199 run bossbar set minecraft:max color pink
execute if score agents: agentamount matches 200..249 run bossbar set minecraft:max color purple
execute if score agents: agentamount matches 250..300 run bossbar set minecraft:max color red

execute if score agents: agentamount matches 0..49 run bossbar set minecraft:max name {"text":"Cool, its peace and quiet 🦢","color":"green"}
execute if score agents: agentamount matches 50..99 run bossbar set minecraft:max name {"text":"Oh no, take action quick! 😨","color":"yellow"}
execute if score agents: agentamount matches 100..149 run bossbar set minecraft:max name {"text":"'QUICK ACTION!!!! ⛏️","color":"dark_aqua"}
execute if score agents: agentamount matches 150..199 run bossbar set minecraft:max name {"text":"'😈' Level","color":"light_purple"}
execute if score agents: agentamount matches 200..249 run bossbar set minecraft:max name {"text":"what are you doing???","color":"dark_purple"}
execute if score agents: agentamount matches 250..300 run bossbar set minecraft:max name {"text":"💥ACTION. NOW.💥","color":"red"}

execute as @a[team=bruh] run gamemode spectator @s

execute at Hakubia run execute as @p run execute as @s[nbt={SelectedItemSlot:0}] run execute at @a[team=OwnerONLYHAKU,gamemode=!spectator,name="Hakubia"] run particle minecraft:dust 0.584 1 0 1 ~ ~0.5 ~ 0.4 1 0.4 0 1 normal
execute at Hakubia run execute as @p run execute as @s[nbt={SelectedItemSlot:1}] run execute at @a[team=OwnerONLYHAKU,gamemode=!spectator,name="Hakubia"] run particle minecraft:dust 0.584 1 0 1 ~ ~0.5 ~ 0.4 1 0.4 0 1 normal
execute at Hakubia run execute as @p run execute as @s[nbt={SelectedItemSlot:2}] run execute at @a[team=OwnerONLYHAKU,gamemode=!spectator,name="Hakubia"] run particle minecraft:dust 0.584 1 0 1 ~ ~0.5 ~ 0.4 1 0.4 0 1 normal
execute at Hakubia run execute as @p run execute as @s[nbt={SelectedItemSlot:3}] run execute at @a[team=OwnerONLYHAKU,gamemode=!spectator,name="Hakubia"] run particle minecraft:dust 0.584 1 0 1 ~ ~0.5 ~ 0.4 1 0.4 0 1 normal
execute at Hakubia run execute as @p run execute as @s[nbt={SelectedItemSlot:4}] run execute at @a[team=OwnerONLYHAKU,gamemode=!spectator,name="Hakubia"] run particle minecraft:dust 0.584 1 0 1 ~ ~0.5 ~ 0.4 1 0.4 0 1 normal
execute at Hakubia run execute as @p run execute as @s[nbt={SelectedItemSlot:5}] run execute at @a[team=OwnerONLYHAKU,gamemode=!spectator,name="Hakubia"] run particle minecraft:dust 0.584 1 0 1 ~ ~0.5 ~ 0.4 1 0.4 0 1 normal
execute at Hakubia run execute as @p run execute as @s[nbt={SelectedItemSlot:6}] run execute at @a[team=OwnerONLYHAKU,gamemode=!spectator,name="Hakubia"] run particle minecraft:dust 0.584 1 0 1 ~ ~0.5 ~ 0.4 1 0.4 0 1 normal
execute at @a[team=agent_genius,gamemode=!spectator] run particle minecraft:soul_fire_flame ~ ~ ~ 0 0 0 0.02 1
execute at @a[team=redstone_genius,gamemode=!spectator] run particle minecraft:flame ~ ~ ~ 0 0 0 0.02 1
execute at @a[team=ghost,gamemode=spectator] run particle ash ~ ~1.25 ~ .5 .5 .5 0.1 5 normal

execute at @a[team=h,nbt={OnGround:1b},predicate=dex:is_sprinting] anchored feet run particle soul ~ ~ ~ 0 0.2 0 0.02 1
execute at @a[team=h,nbt={OnGround:1b},predicate=!dex:is_sprinting,predicate=!dex:is_sneaking] anchored feet run particle snowflake ~ ~ ~ 0 0.2 0 0.02 1

execute as @e[tag=prior] at @s if block ~ ~-1 ~ note_block run function dex:prior_split


# voting system
execute as @a unless score @s vote matches 1.. run scoreboard players enable @s vote
execute as @a if score @s vote matches 1.. unless score @s otheruse matches 1.. run tellraw @p [{"selector":"@s"},{"text":" is voting to lockdown. /trigger to do it with them/him/her!\n(you have 20 seconds)","color":"red","bold":true}]
execute as @a if score @s vote matches 1.. unless score @s otheruse matches 1.. run scoreboard players add @s otheruse 1
execute as @a if score @s vote matches 1.. run tag @s add voted
execute as @a if score @s vote matches ..0 run tag @s remove voted
execute store result score voter otheruse if entity @a[tag=voted]
execute as votetimeleft if score voter otheruse matches 1.. unless score votetimeleft otheruse matches 400.. run scoreboard players add votetimeleft time 1
#execute as @a unless score voter otheruse matches 2.. unless score voter time matches 1 run tellraw @a {"text":" not enough players. not shutting down.","color":"red","bold":true}
#execute as @a if score voter otheruse matches 2.. unless score voter time matches 2 run tellraw @a {"text":"enough players. now shutting down...","color":"red","bold":true}
execute as @a run scoreboard players set votetimeleft otheruse 0
execute as @a run scoreboard players set @a vote 0
